
-- utility to parse a string of 81 chars
-- assuming they represent digits in a sudoku
-- and output in a form readable by either
-- sud or sudx (separated by spaces)
--
-- usage:
--
-- string81 < infil > outfil
--

with text_io;
use text_io;

procedure string81 is
	s81: string(1..81);
	last: natural;
	k: integer;
begin

	get_line(s81,last);

	new_line;
	k:=0;
	for i in 1..9 loop
	for j in 1..9 loop
		k:=k+1;
		put(" "&s81(k));
	end loop;
	new_line;
	end loop;
	new_line;

end string81;

